> ## Documentation Index
> Fetch the complete documentation index at: https://axiom.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://axiom.co/docs/feedback

```json
{
  "path": "/restapi/endpoints/getUser",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Retrieve user

> Get user by ID



## OpenAPI

````yaml v2 get /users/{id}
openapi: 3.0.0
info:
  description: A public and stable API for interacting with axiom services
  title: Axiom
  termsOfService: http://axiom.co/terms
  contact:
    name: Axiom support team
    url: https://axiom.co
    email: hello@axiom.co
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 2.0.0
servers:
  - url: https://api.axiom.co/v2/
security:
  - bearerAuth: []
paths:
  /users/{id}:
    get:
      tags:
        - Users
      description: Get user by ID
      operationId: getUser
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: User
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
      security:
        - Auth:
            - users|read
components:
  schemas:
    User:
      description: Represents a user in the system
      type: object
      required:
        - id
        - name
        - email
        - role
      properties:
        email:
          description: User's email address
          type: string
          example: john.doe@example.com
        id:
          description: Unique identifier for the user
          type: string
          example: usr_123456789
        name:
          description: User's full name
          type: string
          example: John Doe
        role:
          $ref: '#/components/schemas/UserDetailsRole'
    UserDetailsRole:
      description: Detailed information about a user's role
      type: object
      required:
        - id
        - name
      properties:
        id:
          description: Unique identifier for the role
          type: string
          example: role_123456789
        name:
          description: Human-readable name of the role
          type: string
          example: Organization Admin
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
    Auth:
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          tokenUrl: https://www.googleapis.com/oauth2/v4/token
          scopes: {}

````